Bug 1063556 - sdhci_acpi not included in initramfs when system storage is on it
Summary: sdhci_acpi not included in initramfs when system storage is on it
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: rawhide
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 02:28 UTC by Adam Williamson
Modified: 2014-10-26 11:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-26 11:50:13 UTC


Attachments (Terms of Use)
rdsosreport with debug enabled (2.45 MB, text/plain)
2014-02-11 02:29 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2014-02-11 02:28:57 UTC
I just installed Rawhide to my 'fedlet' - a Dell Venue 8 Pro tablet. The internal storage is SDHCI over ACPI on MMC (I think I've got that right).

dracut included mmc_block in the initramfs, but not sdhci_acpi , so it couldn't boot: the internal storage is not accessible from dracut environment. I edited /usr/lib/dracut/modules.d/90kernel-modules/module-setup.sh and added 'sdhci_acpi' to this instmods stanza:

instmods yenta_socket scsi_dh_rdac scsi_dh_emc \
...

re-generated the initramfs, and the system can boot fine.

Will attach the sosreport.

Note: this is *not an ARM system*. It's an Intel Bay Trail tablet. Yup, you're going to start seeing Intel devices with very ARM-ish storage/hardware setups.

Comment 1 Adam Williamson 2014-02-11 02:29:29 UTC
Created attachment 861648 [details]
rdsosreport with debug enabled

Comment 3 Peter Robinson 2014-05-23 11:15:56 UTC
FYI I've proposed a general fix with patch for all SDHCI and MMC controllers in bug 1097301 and sent the patch upstream too

Comment 4 Thierry Vignaud 2014-07-29 13:52:46 UTC
Then Peter, shouldn't commit a0b2c69441f10659cb847cbcf6fa95efdd00289f be reversed?

Comment 5 Peter Robinson 2014-07-29 13:55:59 UTC
(In reply to Thierry Vignaud from comment #4)
> Then Peter, shouldn't commit a0b2c69441f10659cb847cbcf6fa95efdd00289f be
> reversed?

Yep, I've got a patch that I'm going to send upstream once I've confirmed it. Slowly working through my list of dracut bits

Comment 6 Peter Robinson 2014-10-26 11:50:13 UTC
Sent appropriate patch upstream to deal with the revert so I'll close this now

http://thread.gmane.org/gmane.linux.kernel.initramfs/3867


Note You need to log in before you can comment on or make changes to this bug.